import { GridSettings, RowButton, Column, Entity, ColumnSetting } from '../../core/utils';
import { OnChanges, ElementRef, AfterViewInit } from '@angular/core';
export declare class DataGrid2Component implements OnChanges, AfterViewInit {
    ngAfterViewInit(): void;
    getColFlex(map: ColumnSetting<any>): string;
    getColWidth(map: ColumnSetting<any>): string;
    test(): void;
    rightToLeft: boolean;
    dataGridDiv: ElementRef;
    getTotalRows(): number | "רבים" | "many";
    tempDragColumn: Column<any>;
    dragStart(x: Column<any>): void;
    dragOver(x: Column<any>, event: any): void;
    onDrop(x: Column<any>): void;
    width: string;
    height: string;
    _getHeight(): string;
    displayButtons: boolean;
    displayVCR: boolean;
    records: any;
    settings: GridSettings<any>;
    isFiltered(c: Column<any>): boolean;
    getButtonCssClass(b: RowButton<any>, row: any): string;
    rowButtons: RowButton<any>[];
    keys: string[];
    private addButton;
    rowClicked(row: any): void;
    page: number;
    nextPage(): void;
    previousPage(): void;
    catchErrors(what: any, r: Entity<any>): void;
    private showError;
    ngOnChanges(): void;
    _getRowClass(row: any): string;
    _getRowColumnClass(col: any, row: any): string;
}
