import { MatDialog } from "@angular/material";
import { HttpInterceptor, HttpRequest, HttpHandler, HttpEvent } from "@angular/common/http";
import { Observable } from "rxjs";
export declare class BusyService {
    private dialog;
    private waitRef;
    donotWait<t>(what: () => Promise<t>): Promise<t>;
    donotWaitNonAsync<t>(what: () => t): t;
    static singleInstance: BusyService;
    private id;
    private numOfWaits;
    private disableWait;
    log(id: number, what: string): void;
    constructor(dialog: MatDialog);
    doWhileShowingBusy<t>(what: () => Promise<t>): Promise<t>;
    showBusy(): () => void;
}
export declare class LoaderInterceptor implements HttpInterceptor {
    private busy;
    constructor(busy: BusyService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
