import { DataProviderFactory, DataProvider, RowsOfDataForTesting } from "./dataInterfaces1";
import { Entity } from "./utils";
export declare class WebSqlDataProvider implements DataProviderFactory, RowsOfDataForTesting {
    private databaseName;
    rows: {
        [tableName: string]: any;
    };
    constructor(databaseName: string);
    provideFor<T extends Entity<any>>(name: string, factory: () => T): DataProvider;
    private addColumnSqlSyntax;
    toString(): string;
}
