import { ColumnCollection, ColumnSetting, Entity, Column } from '../../core/utils';
export declare class DataControl3Component {
    map: ColumnSetting<any>;
    column: Column<any>;
    rightToLeft: boolean;
    theId: any;
    record: Entity<any>;
    notReadonly: false;
    settings: ColumnCollection<any>;
    showDescription(): boolean | ((row: any) => any);
    showClick(): boolean;
    getClickIcon(): string;
    dataControlStyle(): string;
    _getColumn(): Column<any>;
    _getEditable(): boolean;
    ngOnChanges(): void;
    isSelect(): boolean;
    showTextBox(): boolean;
    showCheckbox(): boolean;
    getError(): string;
    getStyle(): {
        display: string;
        width?: undefined;
    } | {
        width: string;
        display?: undefined;
    };
    getFloatLabel(): "" | "always";
    ngErrorStateMatches: {
        parent: DataControl3Component;
        isErrorState(): boolean;
    };
}
