import { Entity, GridSettings, RowButton, Column } from '../../core/utils';
import { OnChanges } from '@angular/core';
export declare class DataGridComponent implements OnChanges {
    displayButtons: boolean;
    displayVCR: boolean;
    records: any;
    settings: GridSettings<any>;
    isFiltered(c: Column<any>): boolean;
    getButtonCssClass(b: RowButton<any>, row: any): string;
    rowButtons: RowButton<any>[];
    keys: string[];
    private addButton;
    rowClicked(row: any): void;
    page: number;
    nextPage(): void;
    previousPage(): void;
    catchErrors(what: any, r: Entity<any>): void;
    private showError;
    ngOnChanges(): void;
    _getRowClass(row: any): string;
}
