import { Entity } from './utils';
import { DataProvider, FindOptions, FilterBase } from './dataInterfaces1';
export interface JsonStorage {
    doWork<T>(what: (dp: DataProvider, save: () => void) => T): T;
}
export declare class JsonStorageDataProvider<T extends Entity<any>> implements DataProvider {
    private helper;
    constructor(helper: JsonStorage);
    find(options?: FindOptions): Promise<any[]>;
    count(where?: FilterBase): Promise<number>;
    update(id: any, data: any): Promise<any>;
    delete(id: any): Promise<void>;
    insert(data: any): Promise<any>;
}
