import { StringColumn, Entity, Column, EntityOptions } from "../core/utils";
import { ColumnOptions, DataColumnSettings } from '../core/dataInterfaces1';
export declare class IdEntity extends Entity<string> {
    id: IdColumn;
    constructor(options?: EntityOptions | string);
    private disableNewId;
    setEmptyIdForNewRow(): void;
}
export declare class IdColumn extends StringColumn {
    setToNewId(): void;
}
export declare function checkForDuplicateValue(row: Entity<any>, column: Column<any>, message?: string): Promise<void>;
export declare function DecorateDataColumnSettings<type>(original: ColumnOptions<type>, addValues: (x: DataColumnSettings<type>) => void): DataColumnSettings<type>;
