import { Context } from './context/Context';
export declare class JwtSessionManager {
    private context;
    constructor(context: Context);
    loadSessionFromCookie(): void;
    setToken(jwtToken: string, rememberOnDevice?: boolean): Promise<boolean>;
    private currentToken;
    private _setToken;
    tokenInfoChanged: () => void;
    signout(): any;
}
